SOURCES: multipathd.init - initial pldizing

glen glen at pld-linux.org
Thu Oct 18 18:14:43 CEST 2007


Author: glen                         Date: Thu Oct 18 16:14:43 2007 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- initial pldizing

---- Files affected:
SOURCES:
   multipathd.init (1.1 -> 1.2) 

---- Diffs:

================================================================
Index: SOURCES/multipathd.init
diff -u SOURCES/multipathd.init:1.1 SOURCES/multipathd.init:1.2
--- SOURCES/multipathd.init:1.1	Thu Oct 18 18:07:31 2007
+++ SOURCES/multipathd.init	Thu Oct 18 18:14:37 2007
@@ -1,64 +1,27 @@
-#! /bin/sh
-# Copyright (c) 1995-2001 SuSE GmbH Nuernberg, Germany.
+#!/bin/sh
 #
-# Author: Thorsten Kukuk <feedback at suse.de>
+# multipathd	Starts multipath daemon
 #
-# init.d/routed
+# chkconfig:	345 10 90
 #
-#   and symbolic its link
+# description:	The multipathd daemon is in charge of checking for failed paths.
 #
-# /usr/sbin/rcrouted
-#
-### BEGIN INIT INFO
-# Provides:          multipathd
-# Required-Start:    $syslog
-# Required-Stop:
-# Default-Start:     3 5
-# Default-Stop:	     0 1 2 4 6
-# Description:       Starts multipath daemon
-### END INIT INFO
+# $Id$
+
+# Source function library
+. /etc/rc.d/init.d/functions
 
-PATH=/bin:/usr/bin:/sbin:/usr/sbin
 DAEMON=/sbin/multipathd
 PIDFILE=/var/run/multipathd.pid
 
 # Set the maximum number of open files
 MAX_OPEN_FDS=4096
 
-test -x $DAEMON || exit 5
-
-# Shell functions sourced from /etc/rc.status:
-#      rc_check         check and set local and overall rc status
-#      rc_status        check and set local and overall rc status
-#      rc_status -v     ditto but be verbose in local rc status
-#      rc_status -v -r  ditto and clear the local rc status
-#      rc_failed        set local and overall rc status to failed
-#      rc_reset         clear local rc status (overall remains)
-#      rc_exit          exit appropriate to overall rc status
-. /etc/rc.status
-
-# First reset status of this service
-rc_reset
-
-# Return values acc. to LSB for all commands but status:
-# 0 - success
-# 1 - misc error
-# 2 - invalid or excess args
-# 3 - unimplemented feature (e.g. reload)
-# 4 - insufficient privilege
-# 5 - program not installed
-# 6 - program not configured
-# 7 - program is not running
-# 
-# Note that starting an already running service, stopping
-# or restarting a not-running service as well as the restart
-# with force-reload (in case signalling is not supported) are
-# considered a success.
-
+RETVAL=0
+# See how we were called.
 case "$1" in
-    start)
-	echo -n "Starting multipathd"
-
+  start)
+	msg_starting multipathd
 	modprobe dm-multipath
 
 	# Set the maximum number of open files
@@ -73,14 +36,14 @@
 
 	if [ "$PROCNAME" != "$DAEMON" ]; then
 		$DAEMON
+		RETVAL=$?
+		sleep 1
 	fi
-	
-	# Remember status and be verbose
-	rc_status -v
-	sleep 1
 	;;
-    stop)
-	echo -n "Shutting down multipathd"
+
+  stop)
+	msg_stopping multipathd
+
 	# Because of the way how multipathd sets up its own namespace
 	# and chroots to it, killproc cannot be used with this process.
 	# So implement a cruder version:
@@ -93,34 +56,17 @@
 		kill -TERM $PID
 	fi
 
-	# Remember status and be verbose
-	rc_status -v
 	;;
-    try-restart)
-	## Stop the service and if this succeeds (i.e. the 
-	## service was running before), start it again.
-        $0 status >/dev/null &&  $0 restart
-
-	# Remember status and be quiet
-	rc_status
-	;;
-    restart|force-reload)
+    
+  restart|force-reload)
 	## Stop the service and regardless of whether it was
 	## running or not, start it again.
 	$0 stop
 	$0 start
-
-	# Remember status and be quiet
-	rc_status
 	;;
-    reload)
-	## Like force-reload, but if daemon does not support
-	## signalling, do nothing (!)
 
-	# If it does not support reload:
-	exit 3
 	;;
-    status)
+  status)
 	echo -n "Checking for multipathd: "
 
 	# Status has a slightly different for the status command:
@@ -133,23 +79,19 @@
 		PID="$(cat $PIDFILE)"
 		PROCNAME="$(ps -o cmd --no-headers $PID)"
 		if [ "$PROCNAME" == "$DAEMON" ]; then
-			(exit 0)
+			exit 0
 		else
-			(exit 1)
+			exit 1
 		fi
 	else
-		(exit 3)
+		exit 3
 	fi
 
-	rc_status -v
 	;;
-    probe)
-	## Optional: Probe for the necessity of a reload,
-	## give out the argument which is required for a reload.
-	;;
-    *)
-	echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
-	exit 1
+  *)
+	msg_usage "$0 {start|stop|status|restart|force-reload}"
+	exit 3
 	;;
 esac
-rc_exit
+
+exit $RETVAL
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/SOURCES/multipathd.init?r1=1.1&r2=1.2&f=u



More information about the pld-cvs-commit mailing list